@echo off
REM Set Variables
set CXX=cl.exe
set SRC=src
set INC=include
if "%1" == "" 		goto x86
if /i %1 == x86		goto x86
if /i %1 == amd64	goto amd64
if /i %1 == clean	goto clean
REM Set PATH VARIABLE for Compiler
:x86
set ARC=x86
goto Compile
:amd64
set ARC=amd64
goto Compile
REM Compile the source
:Compile
call "c:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" %ARC%
%CXX% /c /O2 %SRC%\LDKLModel.cpp
%CXX% /c /O2 %SRC%\Utils.cpp
%CXX% /c /O2 %SRC%\LDKLSolver.cpp
%CXX% /c /O2 %SRC%\LDKLEvaluate.cpp
%CXX% /O2 %SRC%\LDKLTrain.cpp LDKLModel.obj LDKLSolver.obj Utils.obj
%CXX% /O2 %SRC%\LDKLPredict.cpp LDKLModel.obj Utils.obj LDKLEvaluate.obj
goto :eof
:clean
del *.obj
del *.exe
goto :eof