@echo off
mkdir Results
mkdir Models
set base=datasets/
set NRun=5
REM BANANA
set Name=banana
set D=3
set lW=0.01
set lT=0.001
set lP=0.001
set S=1.0
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM IJCNN
set Name=IJCNN
set D=3
set lW=0.01
set lT=0.001
set lP=0.001
set S=1.0
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM MAGIC04
set Name=magic04
set D=3
set lW=0.1
set lT=0.001
set lP=0.01
set S=0.1
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM USPS
set Name=usps
set D=3
set lW=0.1
set lT=0.01
set lP=0.01
set S=0.1
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM CIFAR
set Name=cifar10binary
set D=2
set lW=0.01
set lT=0.1
set lP=0.1
set S=0.002
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM LETTER
set Name=letterbinary
set D=9
set lW=0.1
set lT=0.01
set lP=0.001
set S=1.0
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM MNIST
set Name=mnistbinary
set D=4
set lW=0.1
set lT=0.001
set lP=0.01
set S=0.01
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt
REM COVERTYPE
set Name=forestNormalized
set D=7
set lW=0.01
set lT=0.01
set lP=0.001
set S=1.0
LDKLTrain.exe -D %D% -lW %lW% -lT %lT% -lP %lP% -S %S% -N %NRun% %base%%Name%-train.libsvm Models/%Name%
LDKLPredict.exe Models/%Name% %base%%Name%-test.libsvm -N %NRun% -R Results/%Name%_Result.txt